Bug 696557 - File changed after convert or re-base operate in RHEL6 host
File changed after convert or re-base operate in RHEL6 host
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.1
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks: 580954
  Show dependency treegraph
 
Reported: 2011-04-14 06:09 EDT by Joy Pu
Modified: 2013-05-17 11:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 11:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joy Pu 2011-04-14 06:09:58 EDT
Description:
In RHEL 6 host, boot up a RHEL 6.1 guest. Write a file in the guest, and save the md5 checksum of the file. Shut down the guest and do convert or snapshot and rebase operate. Boot up guest again and check the md5 value of the file. It changed.

Version-Release number of selected component (if applicable):
2.6.32-130.el6.x86_64
qemu-kvm:
rpm -qa|grep qemu
qemu-kvm-debuginfo-0.12.1.2-2.156.el6.x86_64
gpxe-roms-qemu-0.9.7-6.7.el6.noarch
qemu-kvm-tools-0.12.1.2-2.156.el6.x86_64
qemu-img-0.12.1.2-2.156.el6.x86_64
qemu-kvm-0.12.1.2-2.156.el6.x86_64

How reproducible:
rarely

Steps to Reproduce:
1.Boot up a guest 
2.Use dd to generate a file in guest and save md5 value
$dd if=/dev/zero of=/tmp/file_base bs=1M count=1000
$md5sum /tmp/file_base

3. shut dow guest and do convert or snapshot and rebase operate
$ qemu-img convert -f qcow2 -O qcow2 rhel6.1.qcow2 rhel6.1.qcow2_to_qcow2.qcow2

or
$qemu-img create -b rhel6.1.qcow2 -f qcow2 sn1.qcow2
$qemu-img create -b sn1.qcow2 -f qcow2 sn2.qcow2
$qemu-img rebase -b rhel6.1.qcow2 -F qcow2 sn2.qcow2

Between these steps in rebase, we will bootup guests and dd file in it. The md5 value changed file is the one that dd in sn2.qcow

4. boot up and check the md5
for convert
$md5sum /tmp/file_base
for rebase:
$md5sum /tmp/file_sn2

Actual results:
File changed
Expected results:
File should the same after and before these operate

Additional info:
Comment 2 Don Dutile 2011-06-08 17:00:24 EDT
I'm reassigning this bug. If the bug is not really in your area of expertise,
feel free to reassign it.

If this bug is in your area of expertise, please take one of the following
actions:

1) devel_ack+: if this is 6.2.0 material that we're 100% sure we will fix on
6.2.0, please clear Conditional NACK and request devel_ack+ by indicating it on
Devel Whiteboard (using human-readable text, or just adding "developer-ack-6.2"
to Devel Whiteboard). Also, move the bug to ASSIGNED state.

2) Conditional NACK: if this is 6.2.0 material but we're not 100% sure we will
fix it, please set Conditional NACK to an appropriate value. Moving to ASSIGNED
is recommended if you are already going to work on the bug.

3) Postpone: if this is not 6.2.0 material, you can postpone it (by requesting
rhel-6.3.0 or rhel-7.0.0 flag (note that rhel-7.0.0 is only available if
changing the product to RHEL7).
Comment 3 Siddharth Nagar 2011-06-22 11:02:52 EDT
Not sure why the bot added the keyword 'Rebase'. Removing the keyword.
Comment 5 Suzanne Yeghiayan 2011-06-22 11:52:31 EDT
Fixed Summary to avoid bugbot from adding Keywords Rebase.

Note You need to log in before you can comment on or make changes to this bug.